export function getDatabaseTime(t: string | number | Date) {
  return formatDate2String(new Date(t))
}

export function formatTimestamp(t: string) {
  return getDatabaseTime(1000 * parseInt(t))
}

export function formatDate2String(d: Date) {
  return d.toLocaleString().replace(/\//g, '-')
}

export function formatOffsetSec(s: number) {
  const n = s * 1000
  var days = (n / (1000 * 60 * 60 * 24)).toString().padStart(2, '0');
  var hours = ((n % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60)).toString().padStart(2, '0');
  var minutes = ((n % (1000 * 60 * 60)) / (1000 * 60)).toString().padStart(2, '0');
  var seconds = ((n % (1000 * 60)) / 1000).toString().padStart(2, '0');
  return days + ":" + hours + ":" + minutes + ":" + seconds;
}
